Package fr.gouv.vitam.metadata.core.reconstruction.domain

# Class OperationReportParser

java.lang.Object
fr.gouv.vitam.metadata.core.reconstruction.domain.OperationReportParser

public class OperationReportParser extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DELETE_GOT_VERSIONS`
  `static final String`
  `DETAIL_TYPE`
  `static final String`
  `ELIMINATION_ACTION`
  `static final String`
  `OBJECT_GROUP`
  `static final String`
  `PARAMS`
  `static final String`
  `TRANSFER_REPLY`
  `static final String`
  `TYPE`
  `static final String`
  `UNIT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OperationReportParser(OperationReportRepository operationReportRepository, MetaDataConfiguration metaDataConfiguration, PersistentIdentifierRepository persistentIdentifierRepository, PurgedPersistentIdentifierExtractorFactory purgedPersistentIdentifierExtractorFactory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LocalDateTime`
  `processReportFromOperation(ReconstructionOperation operation)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### UNIT

    public static final String UNIT
    See Also:
      - Constant Field Values

  - ### OBJECT_GROUP

    public static final String OBJECT_GROUP
    See Also:
      - Constant Field Values

  - ### ELIMINATION_ACTION

    public static final String ELIMINATION_ACTION
    See Also:
      - Constant Field Values

  - ### DELETE_GOT_VERSIONS

    public static final String DELETE_GOT_VERSIONS
    See Also:
      - Constant Field Values

  - ### DETAIL_TYPE

    public static final String DETAIL_TYPE
    See Also:
      - Constant Field Values

  - ### PARAMS

    public static final String PARAMS
    See Also:
      - Constant Field Values

  - ### TYPE

    public static final String TYPE
    See Also:
      - Constant Field Values

  - ### TRANSFER_REPLY

    public static final String TRANSFER_REPLY
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### OperationReportParser

    public OperationReportParser(OperationReportRepository operationReportRepository, MetaDataConfiguration metaDataConfiguration, PersistentIdentifierRepository persistentIdentifierRepository, PurgedPersistentIdentifierExtractorFactory purgedPersistentIdentifierExtractorFactory)

- ## Method Details

  - ### processReportFromOperation

    public LocalDateTime processReportFromOperation(ReconstructionOperation operation) throws ReconstructionException
    Throws:
      `ReconstructionException`